### VARIABLES ###

JC = javac
JCFLAGS = -encoding UTF-8 -implicit:none -d build -cp build -sourcepath "src" src/

JVM = java
JVMFLAGS = -cp build

PACKAGE_NAME = fr.iutfbleau.Quiz.

### REGLES ESSENTIELLES ###

Question.class : Question.class
	${JC} ${JCFLAGS}Question.java

SourceQuestions.class : SourceQuestions.class Question.class
	${JC} ${JCFLAGS}SourceQuestions.java

AffichageQuestion.class : AffichageQuestion.class Question.class
	${JC} ${JCFLAGS}AffichageQuestion.java

Main.class : Main.class AffichageQuestion.class SourceQuestions.class 
	${JC} ${JCFLAGS}Main.java


### REGLES OPTIONNELLES ###

run : Main.class
	${JVM} ${JVMFLAGS} ${PACKAGE_NAME}Main

clean :
	-rm -r build/fr/iutfbleau/Quiz/*.class

mrproper : clean Main.class

### BUTS FACTICES ###

.PHONY : run clean mrproper

### FIN ###